USE [GrpInsurance]
GO
/****** Object:  StoredProcedure [dbo].[proc_GetKlaimPeserta]    Script Date: 05/23/2018 08:32:06 ******/
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER OFF
GO

-- last modified by Pribadi Pamungkas. 2018-05-23 => tambah pengecekan jika produk family untuk selain karyawan maka hasilnya 0
ALTER Procedure [dbo].[proc_GetKlaimPeserta] @NoProposal Varchar(9), @NoPeserta VarChar(12), @KodeProduk VarChar(10), 
@Klaim Float OUTPUT
AS
  ---- script sebelumnya --
  -- DECLARE @NoSantunan Varchar(12)
  -- DECLARE @Paket Bit
  -- SELECT @Paket=Keluarga FROM Produk_Polis WHERE  (No_Proposal=@NoProposal) AND (Id_Produk=@KodeProduk)
  -- PRINT @Paket
  -- SET @NoSantunan=@NoPeserta
  -- IF @Paket=1 SET @NoSantunan=LEFT(@NoPeserta,11)+'0'
  --SELECT @Klaim=isnull(SUM(Klaim_Peserta.Jml_Dibayar),0) FROM Klaim_Peserta
  -- WHERE (No_Proposal=@NoProposal) AND (No_Santunan=@NoSantunan) AND (Id_Produk=@KodeProduk)
  
  -- modified by Pribadi Pamungkas. 2017-07-26. Atas persetujuan pak Waton
  --SELECT
  --  @Klaim=isnull(SUM(Klaim_Peserta.Jml_Dibayar),0) 
  --FROM 
  --  Klaim_Peserta
  --WHERE 
  --  (No_Proposal=@NoProposal) AND (LEFT(No_Peserta,10)=LEFT(@NoPeserta,10)) AND (Id_Produk=@KodeProduk)


	-- modified by Tri Mulyo Susanto. 01 Mar 2018. Atas persetujuan pak Waton
	DECLARE @Paket Bit
	SELECT @Paket=Keluarga 
	FROM Produk_Polis 
	WHERE  (No_Proposal=@NoProposal) AND (Id_Produk=@KodeProduk)

	IF @Paket=1 --Family
		BEGIN
			IF RIGHT(@NoPeserta,1)='0'	-- add by Pribadi Pamungkas. 2018-05-23
				SELECT
					@Klaim=isnull(SUM(Klaim_Peserta.Jml_Dibayar),0) 
				FROM 
					Klaim_Peserta
				WHERE 
					(No_Proposal=@NoProposal) 
					AND (LEFT(No_Peserta,10)=LEFT(@NoPeserta,10)) 
					AND (Id_Produk=@KodeProduk)
			ELSE
				SET @Klaim = 0	-- add by Pribadi Pamungkas. 2018-05-23
		END
	ELSE
		SELECT
			@Klaim=isnull(SUM(Klaim_Peserta.Jml_Dibayar),0) 
		FROM 
			Klaim_Peserta
		WHERE 
			(No_Proposal=@NoProposal) 
			AND (No_Peserta=@NoPeserta) 
			AND (Id_Produk=@KodeProduk)



